<?php
include_once 'classes/resize-class.php'; // Incluímos a classe

$caminho = "uploads/"; // Este é o caminho onde as imagens serão guardadas no servidor

$imagem = $_FILES['imagemupload']['name']; // Associámos uma variável ao nome da imagem


// Verificámos se o upload foi efectuado para o directório / caminho definido (juntámos também o nome da imagem)

if (move_uploaded_file($_FILES['imagemupload']['tmp_name'], $caminho . $imagem)) { 
	
	// Utilizámos agora a "magia" da classe para criar os tamanhos necessários
	
	$resize_tamanho1 = new resize($caminho . $imagem);
	$resize_tamanho2 = new resize($caminho . $imagem);
	
	// Definimos as medidas que cada tamanho irá ter
	$resize_tamanho1->resizeImage(120, 88, 'crop');
    $resize_tamanho2->resizeImage(338, 248, 'crop');
	
	// Renomeámos a imagem para que seja possivel o mesmo nome ter vários tamanhos
    $tamanho1 = "tamanho1_" . $imagem;
    $tamanho2 = "tamanho2_" . $imagem;
	
	// Para finalizar guardámos a imagem. Definimos o caminho, qual o nome e a qualidade
	$resize_tamanho1->saveImage($caminho . $tamanho1, 100);
    $resize_tamanho2->saveImage($caminho . $tamanho2, 100);
	
	// O próximo passo é opcional mas recomendável.
	// Apagámos a imagem original
	unlink($caminho . $imagem);
	
	// No caso de sucesso no upload, podem redireccionar para outra página ou criar uma notificação
	header( 'Location: sucesso.php' ) ;
}
else
{
	// No caso de erro no upload, podem redireccionar para outra página ou criar uma notificação
	header( 'Location: erro.php' ) ;
}

?>